Bug 392241 - [RFE] Add option to pass domain name to DNSMasq for virtual networks
[RFE] Add option to pass domain name to DNSMasq for virtual networks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 08:34 EST by Jon Fautley
Modified: 2008-12-06 19:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 19:51:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jon Fautley 2007-11-20 08:34:12 EST
dnsmasq as started from libvirtd does not register DHCP leases in the DNS cache,
or pass a default domain name.

It would be very useful to be able to pass a domain name to dnsmasq on a per
virtual network basis. The command line option is in the format of "--domain
domain.tld".

This will cause dnsmasq to register all DHCP leases that present a hostname into
DNS under this domain. It will also pass this domain name as a search domain to
DHCP clients.

This then means that systems who have their addresses assigned via DHCP are
reachable in DNS for the virtual network.
Comment 1 Cole Robinson 2008-09-16 11:38:41 EDT
FYI, there is a patch for this upstream now. It's been given the thumbs up so will most likely be committed soon.
Comment 2 Cole Robinson 2008-09-16 14:55:33 EDT
Actually, this is now upstream:

http://git.et.redhat.com/?p=libvirt.git;a=commitdiff;h=8de44d06fcdf724f2c2627a2de5cc50ea0093807

So i'll move to POST.
Comment 3 Cole Robinson 2008-12-06 19:51:49 EST
This is in release 0.4.6 and later, which is in rawhide, F9, and F10. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.